# EXTTextureCompressionLATC (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EXTTextureCompressionLATC

    java.lang.Object
      org.lwjgl.opengles.EXTTextureCompressionLATC

    public final class EXTTextureCompressionLATC

extends java.lang.Object

Field Summary
`static int` `GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_EXT` Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static int` `GL_COMPRESSED_LUMINANCE_LATC1_EXT` Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static int` `GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_EXT` Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static int` `GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_EXT` Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_COMPRESSED_LUMINANCE_LATC1_EXT

    public static final int GL_COMPRESSED_LUMINANCE_LATC1_EXT

  Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

  See Also:
    Constant Field Values

### GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_EXT

    public static final int GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_EXT

  Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

  See Also:
    Constant Field Values

### GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_EXT

    public static final int GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_EXT

  Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

  See Also:
    Constant Field Values

### GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_EXT

    public static final int GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_EXT

  Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.